package com.caliverse.admin.scheduler;

import com.caliverse.admin.scheduler.config.ScheduleExecutionConfig;

public interface Scheduler {
    void execute();
    boolean isRepeatable();
    ScheduleType getScheduleType();
    ScheduleExecutionConfig getSchedulerConfig();
}
